﻿.savoy-blazor-dateonly {
    max-width: 8em;
}

.savoy-blazor-timeonly {
    max-width: 6em;
}

.savoy-blazor-date-range {
}

.savoy-blazor-errorlist {
    padding: 1em;
}

.savoy-blazor-errorlist h4 {
    font-weight: bold;
}

.savoy-blazor-errorlist li {
    margin: 0.5em;
}

.savoy-blazor-number-int {
    width: 6em;
}

.savoy-blazor-number-currency {
    width: 8em;
}

.savoy-blazor-number-double {
    width: 8em;
}

input.savoy-blazor-number-int {
    text-align: right;
}

.savoy-blazor-hint {
    height: 1.5em;
    width: 1.5em;
    align-self: center;
    margin: 0 0.5em;
}

input.savoy-blazor-select-control {
    cursor: pointer;
}

input.savoy-blazor-select-control.is-readonly,
span.savoy-blazor-number-double.is-readonly input,
span.savoy-blazor-number-currency.is-readonly input,
span.savoy-blazor-number-int.is-readonly input,
input.savoy-blazor-edit.is-readonly {
    background-color: #ccc;
}

.savoy-blazor-loading-overlay {
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    align-items: center;
    display: none;
    justify-content: center;
    overflow: hidden;
    z-index: 29
}

.savoy-blazor-loading-overlay.is-active {
    display: flex
}

.savoy-blazor-loading-overlay.is-full-page {
    position: fixed;
    z-index: 999
}

.savoy-blazor-loading-overlay.is-full-page .savoy-blazor-loading-icon:after {
    top: calc(50% - 2.5em);
    left: calc(50% - 2.5em);
    width: 5em;
    height: 5em
}

.savoy-blazor-loading-overlay .savoy-blazor-loading-background {
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    background: #7f7f7f;
    background: hsla(0,0%,100%,.5)
}

.savoy-blazor-loading-overlay .savoy-blazor-loading-icon {
    position: relative
}

.savoy-blazor-loading-overlay .savoy-blazor-loading-icon:after {
    -webkit-animation: spinAround .5s linear infinite;
    animation: spinAround .5s linear infinite;
    border: 2px solid #dbdbdb;
    border-radius: 9999px;
    border-right-color: transparent;
    border-top-color: transparent;
    content: "";
    display: block;
    height: 1em;
    position: relative;
    width: 1em;
    position: absolute;
    top: calc(50% - 1.5em);
    left: calc(50% - 1.5em);
    width: 3em;
    height: 3em;
    border-width: .25em
}

#pageLoader {
    z-index: var(--z-index-loader-overlay) !important;
    /* To make it appear under Radzen dialogs, so the loader doesn't stop you seeing error messages etc... */
}
